Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Partial Authorization with Swiped Track Data


This use case processes a PIN debit partial authorization with swiped track data. Set processingInformation.authorizationOptions.partialAuthIndicator to true.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "code": "ABC1234",    "partner": {      "thirdPartyCertificationNumber": "PTP1234"    }  },  "processingInformation": {    "commerceIndicator": "retail",    "networkRoutingOrder": "GUFV",    "authorizationOptions": {      "partialAuthIndicator": "true"    }  },  "paymentInformation": {    "paymentType": {      "name": "CARD",      "subTypeName": "DEBIT"    },    "card": {      "useAs": "",      "sourceAccountType": "UA"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "202.00",      "currency": "USD"    }  },  "merchantInformation": {    "merchantDescriptor": {      "name": "John Smith",      "alternateName": "ABC Limited",      "locality": "Austin",      "country": "United States",      "administrativeArea": "AL"    }  },  "pointOfSaleInformation": {    "entryMode": "swiped",    "terminalCapability": "4",    "trackData": "%B4xxxxxxxxxxx1111^JONES/JONES ^3312101976110000868000000?;4xxxxxxxxxxx1111=33121019761186800000?",    "pinBlockEncodingFormat": 1,    "encryptedPin": "52F20658C04DB351",    "encryptedKeySerialNumber": "FFFF1B1D140000000005"  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/payments/6886788570426450204953/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6886788570426450204953"    }  },  "clientReferenceInformation": {    "code": "Pin Debit Purchase Using Swiped Track Data"  },  "id": "6886788570426450204953",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "150.00",      "currency": "usd"    }  },  "processingInformation": {    "reconciliationId": "6886788570426450204953"  },  "processorInformation": {    "systemTraceAuditNumber": "111888",    "routing": {      "network": "0000"    },    "approvalCode": "831000",    "retrievalReferenceNumber": "123456111888",    "transactionId": "000000000000000",    "responseCode": "10"  },  "reconciliationId": "6886788570426450204953",  "status": "AUTHORIZED",  "submitTimeUtc": "2023-07-06T21:27:37Z"}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
paymentInformation.card.sourceAccountTypeSet the value to UA.
paymentInformation.card.useAsLeave this field blank.
paymentInformation.paymentType.nameSet the value to CARD.
paymentInformation.paymentType.subTypeNameSet the value to DEBIT.
pointOfSaleInformation.encryptedKeySerialNumber—
pointOfSaleInformation.encryptedPin—
pointOfSaleInformation.entryModeSet the value to swiped.
pointOfSaleInformation.pinBlockEncodingFormatSet the value to 1.
pointOfSaleInformation.terminalCapability—
pointOfSaleInformation.trackData—
processingInformation.authorizationOptions.partialAuthIndicatorSet the value to true.
processingInformation.commerceIndicatorSet the value to retail.

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.